Publication papier Opale 3.6 dans SCENARI.2


#1

Pour générer la publication papier j’obtiens cette erreur ci dessous et j’ai besoin de votre aide.

Rapport Erreur

Traces de ‘Publication Texte OpenDocument’ pour l’item ‘/Formation SCENARI/Tutoriel/Tutoriel_papier.publi’

— User details —
Générateur: gen_paper - Publication Texte OpenDocument
Item racine: /Formation SCENARI/Tutoriel/Tutoriel_papier.publi

  • OpenDocument editor defined by System property. ‘com.sun.star.lib.loader.unopath’ in: C:\Program Files\LibreOffice\program
  • Starting OpenDocument editor in pipe mode.
  • Generation failed.
    • java.lang.UnsatisfiedLinkError: C:\Program Files\LibreOffice\program\jpipe.dll: Can’t load AMD 64-bit .dll on a IA 32-bit platform
      • C:\Program Files\LibreOffice\program\jpipe.dll: Can’t load AMD 64-bit .dll on a IA 32-bit platform

— Admin details —

<?xml version="1.0" encoding="UTF-8"?>
java.lang.UnsatisfiedLinkError: C:\Program Files\LibreOffice\program\jpipe.dll: Can't load AMD 64-bit .dll on a IA 32-bit platform at java.lang.ClassLoader$NativeLibrary.load(Native Method) at java.lang.ClassLoader.loadLibrary1(Unknown Source) at java.lang.ClassLoader.loadLibrary0(Unknown Source) at java.lang.ClassLoader.loadLibrary(Unknown Source) at java.lang.Runtime.load0(Unknown Source) at java.lang.System.load(Unknown Source) at com.sun.star.lib.util.NativeLibraryLoader.loadLibrary(NativeLibraryLoader.java:63) at com.sun.star.lib.connections.pipe.PipeConnection.<clinit>(PipeConnection.java:48) at com.sun.star.lib.connections.pipe.pipeConnector.connect(pipeConnector.java:109) at com.sun.star.comp.connections.Connector.connect(Connector.java:118) at com.sun.star.comp.urlresolver.UrlResolver$_UrlResolver.resolve(UrlResolver.java:106) at eu.scenari.transform.od.impl.OoConnection.xConnect(OoConnection.java:440) at eu.scenari.transform.od.impl.OoConnection.checkConnection(OoConnection.java:344) at eu.scenari.transform.od.impl.OoConnectionPool.getConnection(OoConnectionPool.java:180) at eu.scenari.transform.od.impl.TfmUpdate.transform(TfmUpdate.java:120) at eu.scenari.transform.od.TfmOpenDocument.transform(TfmOpenDocument.java:137) at com.scenari.m.co.ant.TransformTask.execute(TransformTask.java:96) at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) at java.lang.reflect.Method.invoke(Unknown Source) at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106) at org.apache.tools.ant.Task.perform(Task.java:348) at org.apache.tools.ant.Target.execute(Target.java:390) at org.apache.tools.ant.Target.performTasks(Target.java:411) at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399) at org.apache.tools.ant.Project.executeTarget(Project.java:1368) at com.scenari.m.ge.generator.ant.AntGenerator.xGenerate(AntGenerator.java:440) at com.scenari.m.ge.generator.base.GeneratorStatic.generate(GeneratorStatic.java:647) at eu.scenari.wsp.module.gen.ThreadGen.call(ThreadGen.java:170) at eu.scenari.wsp.module.gen.ThreadGen.run(ThreadGen.java:157) at eu.scenari.core.universe.Universe$1.run(Universe.java:393) at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source) at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source) at java.lang.Thread.run(Unknown Source)

— Js stack —
cbLoadLog@chrome://scenariwsp/content/widgets/genBox/genBox.xbl.xml:805:11
CallbackWrapper.prototype.handleEvent@chrome://scenariwsp/content/commons/servers/HttpDataProvider.jsm:410:17

— App context —
timestamp: 7/8/2018 16:28:54
userAgent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:42.0) Gecko/20100101 ch.4.2/4.2.106
coreVersion: 4.2.106
brandShortName: SCENARIchain
appVersion: 4.2.106
appBuildId: 201801312141
appDevelopmentStage: final


#2

Le message parle d’un fichier incompatible entre versions 32 et 64 bits…

Il faut se focaliser sur quelques mots-clés apparaissant dans le message d’erreur à savoir : [quote=“denesalifou1, post:1, topic:2481”]
load AMD
[/quote]

De là, vous pouvez trouver quelques autres messages l’évoquant :
https://forums.scenari.org/search?q=load%20AMD

dont par exemple, une solution d’installer un LibreOffice compatible :


#3

Merci pour votre réponse. je crois que cela doit venir de Libre Office car j’ai installé la version 64 bts. je vais remplacer par la version 32 et ressayé à nouveau et je vous revient.
Excellente journée Pascal


#4

Une solution éventuellement envisageable, ce serait d’arriver à faire tourner sur l’ordinateur à la fois un LibreOffice 64 bits comme à votre habitude, et en plus une deuxième version 32 bits pour Scenari ???
(mais je ne sais pas si c’est possible, et quels seraient les détails informatiques, mais ça avait été envisagé par l’un des intervenants, ce dernier n’ayant pas précisé ensuite s’il y était parvenu ou non *).


#5

J’ai remplacé la version 64 bits par la version 32 bits cela marche bien.
Merci Pascal et excellente semaine :rofl::rofl::rofl: